Name:		mg
Version:	20200723
Release:    1%{?dist}
Summary:	Tiny Emacs-like editor

License:	BSD and ISC and MirOS
URL:		http://homepage.boetes.org/software/mg/
Source0:	https://github.com/hboetes/%{name}/archive/%{version}.tar.gz
BuildRequires: make
BuildRequires:  gcc
BuildRequires:	ncurses-devel
BuildRequires:	libbsd-devel >= 0.7.0

%description
mg is a tiny, mostly public-domain Emacs-like editor included in the base 
OpenBSD system. It is compatible with Emacs because there shouldn't be any 
reason to learn more editor types than Emacs or vi.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{optflags} -lncurses" libdir="%{_libdir}"

%install
rm -rf %{buildroot}
%make_install prefix=%{_prefix} mandir=%{_mandir}

%files
%doc README tutorial
%{_bindir}/mg
%{_mandir}/man1/mg.1.*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200723-1
- initial build
